import { Object3D, PlaneGeometry, DirectionalLight, Mesh, ShadowMaterial, Vector3 } from 'three';
export declare class Shadow extends Object3D {
    directionalLight: DirectionalLight;
    plane: Mesh;
    basicOpacity: number;
    constructor();
    initLight(): DirectionalLight;
    changeLightCamera(size: Vector3): void;
    changeLightColor(color: number | string): void;
    setPosition(position: Vector3): void;
    initPlane(width?: number, height?: number): Mesh<PlaneGeometry, ShadowMaterial, import("three").Object3DEventMap>;
    setTarget(target: Object3D): void;
    transformOpacity(opacity: number): number;
    setOpacity(opacity: number): void;
    dispose(): void;
}
